postgrey

pdk
Installs and configures postgrey
Andrew Grimberg

Andrew Grimberg

tykeal

994 downloads

994 latest version

5.0 quality score

Version information

  • 1.0.0 (latest)
released Jun 27th 2020
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2016.4.x
  • Puppet >= 4.10.0 < 7.0.0
  • CentOS
    ,
    RedHat

Start using this module

Documentation

tykeal/postgrey — version 1.0.0 Jun 27th 2020

postgrey

Table of Contents

  1. Description
  2. Setup - The basics of getting started with postgrey
  3. Usage - Configuration options and additional functionality
  4. Limitations - OS compatibility, etc.
  5. Development - Guide for contributing to the module

Description

Build
Status

This module installs and configures postgrey on a system. By default it sets it up almost exactly like the default configuration. The only difference is that quiet and privacy options are enabled.

Setup

What postgrey affects

Setup Requirements

  • puppetlabs/stdlib is required for this module to work

Beginning with postgrey

This module is designed to "just work" Configuration is done against the following hiera locations:

  • postgrey::install
  • postgrey::config
  • postgrey::service

Usage

To use simply do the following:

include ::postgrey

Limitations

This module is presently only developed for RedHat and CentOS 8 systems. It may work on 7.

Other distros are welcome to open Merge Requests.

Development

Development for this module is happening at https://gitlab.com/tykeal/puppet-postgrey

To contribute please open a Merge Request

A DCO line indicated by a Signed-off-by in the commit footer of every commit of a patch series, not just your merge request is required. If any of the commits in the series do not contain this, the request will be rejected.